summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@open-infrastructure.net>2016-04-01 19:25:27 +0000
committerDaniel Baumann <daniel.baumann@open-infrastructure.net>2016-04-16 10:19:46 +0000
commitc91fd41934309fcf603cb39b2fdb62378df688e3 (patch)
tree1256e0e94107e31e637ae285a64353ca19b42b33 /bin
parentAvoid aborting container-shell help command if no manpage is available. (diff)
downloadcompute-tools-c91fd41934309fcf603cb39b2fdb62378df688e3.tar.xz
compute-tools-c91fd41934309fcf603cb39b2fdb62378df688e3.zip
Adding container-shell about command.
Signed-off-by: Daniel Baumann <daniel.baumann@open-infrastructure.net>
Diffstat (limited to 'bin')
-rwxr-xr-xbin/container-shell8
1 files changed, 7 insertions, 1 deletions
diff --git a/bin/container-shell b/bin/container-shell
index 71bf6e3..8341ed0 100755
--- a/bin/container-shell
+++ b/bin/container-shell
@@ -43,6 +43,12 @@ Shell ()
OPTIONS="${@}"
case "${COMMAND}" in
+ about)
+ man ${PROGRAM} || true
+
+ return
+ ;;
+
logout)
exit 0
;;
@@ -55,7 +61,7 @@ Shell ()
echo
cd "/usr/lib/${SOFTWARE}/${PROGRAM}"
- echo "$(for COMMAND in * logout; do echo ${COMMAND}; done | sort)"
+ echo "$(for COMMAND in about logout *; do echo ${COMMAND}; done | sort)"
cd "${OLDPWD}"
return